/*
 * filetransferp2p.cpp
 * libmsn
 *
 * Crated by Tiago Salem Herrmann on 08/2007.
 * Copyright (c) 2007 Tiago Salem Herrmann. All rights reserved
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <msn/filetransferp2p.h>
#include <msn/message.h>
#include <msn/errorcodes.h>
#include <msn/externals.h>
#include <msn/notificationserver.h>

#ifndef WIN32
#include <unistd.h>
#include <time.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/socket.h>
#else
#include <winsock.h>
#include <io.h>
#endif

#include <cerrno>
#include <cassert>

namespace MSN 
{
    void FileTransferConnectionP2P::setDirection(int direction)
    {
        this->direction = direction;
    }

    void FileTransferConnectionP2P::setPerspective(int perspective)
    {
        this->perspective = perspective;
    }

    void FileTransferConnectionP2P::setDirectConnection(int direct_connection)
    {
        this->direct_connection = direct_connection;
    }

    void FileTransferConnectionP2P::disconnect()
    {
        Connection::disconnect();
    }

    FileTransferConnectionP2P::~FileTransferConnectionP2P()
    {
        this->disconnect();
    }

    void FileTransferConnectionP2P::socketConnectionCompleted()
    {
        Connection::socketConnectionCompleted();
        this->myNotificationServer()->externalCallbacks.unregisterSocket(this->sock);
        this->myNotificationServer()->externalCallbacks.registerSocket(this->sock, 1, 0);

        if(perspective == MSNFTP_CLIENT)
        {
        }
    }    

    void FileTransferConnectionP2P::socketIsWritable()
    {
        Connection::socketIsWritable();
    }

    void FileTransferConnectionP2P::dataArrivedOnSocket()
    {
        Connection::dataArrivedOnSocket();
//          if (this->auth.direction == MSNFTP_SEND && ! this->auth.connected)
//            this->handleSend();
//        else
//            Connection::dataArrivedOnSocket();

    }
    
    void FileTransferConnectionP2P::handleIncomingData()
    {
    }
}
